# vkQueueInsertDebugUtilsLabelEXT(3) Manual Page

## Name

vkQueueInsertDebugUtilsLabelEXT - Insert a label into a queue

Loading… please wait.

## C Specification

A single label can be inserted into a queue by calling:

    // Provided by VK_EXT_debug_utils
    void vkQueueInsertDebugUtilsLabelEXT(
        VkQueue                                     queue,
        const VkDebugUtilsLabelEXT*                 pLabelInfo);

## Parameters

- `queue` is the queue into which a debug label will be inserted.

- `pLabelInfo` is a pointer to a VkDebugUtilsLabelEXT structure specifying parameters of the label to insert.

## Description

Valid Usage (Implicit)

- VUID-vkQueueInsertDebugUtilsLabelEXT-queue-parameter
  `queue` must be a valid VkQueue handle

- VUID-vkQueueInsertDebugUtilsLabelEXT-pLabelInfo-parameter
  `pLabelInfo` must be a valid pointer to a valid VkDebugUtilsLabelEXT structure

Host Synchronization

- Host access to `queue` must be externally synchronized

Command Properties

Command Buffer Levels | Render Pass Scope | Video Coding Scope | Supported Queue Types | Command Type
--- | --- | --- | --- | ---
- | - | - | Any | -

## See Also

VK_EXT_debug_utils, VkDebugUtilsLabelEXT, VkQueue

## Document Notes

For more information, see the Vulkan Specification

This page is extracted from the Vulkan Specification. Fixes and changes should be made to the Specification, not directly.

## Copyright

Copyright 2014-2025 The Khronos Group Inc.

SPDX-License-Identifier: CC-BY-4.0